import 'package:di_analytics/di_analytics.dart';

class UnimplementedDIAnalytics implements DIAnalytics {
  @override
  Future addSharedParameters(Map<String, dynamic> parameters) async => true;

  @override
  Future configure(
          {required String apiKey,
          required String trackingUrl,
          int? submitInterval,
          int? submitTimeoutInterval,
          int? maxSizeOfLogFile,
          int? maxNumberOfLogFile,
          int? sessionExpireTime,
          bool? submitLogOnWifiOnly,
          bool? queueEnabled}) async =>
      true;

  @override
  Future dispatchEvents() async => true;

  @override
  Future<String> getVersion() async => "1.0.0";

  @override
  Future logEvent(String name, {Map<String, dynamic>? parameters}) async =>
      true;

  @override
  Future resetAnalyticsData() async => true;

  @override
  Future setDebugLogEnabled(bool enabled) async => true;

  @override
  Future setEnabled(bool enabled) async => true;

  @override
  Future setUser(String? userId, {Map<String, dynamic>? info}) async => true;
}
