#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint analytics.podspec` to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'di_analytics'
  s.version          = '1.0.0'
  s.summary          = 'Flutter plugin for DataInsider Analytics'
  s.description      = <<-DESC
Flutter plugin for DataInsider Analytics.
                       DESC
  s.homepage         = 'https://www.datainsider.co'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'DataInsider' => 'liemvouy@gmail.com' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.dependency 'Flutter'
  s.dependency 'DIAnalyticsSDK'
  s.platform = :ios, '9.0'

  # Flutter.framework does not contain a i386 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386' }
  s.swift_version = '5.0'
end
